<?php

class CT_CtMailchimpForm_Widget extends Case_Theme_Core_Widget_Base{
    protected $name = 'ct_mailchimp_form';
    protected $title = 'Case Mailchimp Sign-Up Form';
    protected $icon = 'eicon-email-field';
    protected $categories = array( 'case-theme-core' );
    protected $params = '{"sections":[{"name":"source_section","label":"Color Settings","tab":"style","controls":[{"name":"email_value","label":"Email Value","type":"text","default":""},{"name":"button_value","label":"Button Value","type":"text","default":""},{"name":"style","label":"Style","type":"select","options":{"style1":"Style 1","style2":"Style 2","style3":"Style 3"},"default":"style1"},{"name":"input_color","label":"Input Color","type":"color","selectors":{"{{WRAPPER}} .ct-mailchimp.ct-mailchimp1 .mc4wp-form .mc4wp-form-fields input:not([type=\"submit\"])":"color: {{VALUE}};"}},{"name":"input_bg_color","label":"Input Background Color","type":"color","selectors":{"{{WRAPPER}} .ct-mailchimp.ct-mailchimp1 .mc4wp-form .mc4wp-form-fields input":"background-color: {{VALUE}};"}},{"name":"input_typography","label":"Input Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-mailchimp.ct-mailchimp1 .mc4wp-form .mc4wp-form-fields input"},{"name":"button_color","label":"Button Color","type":"color","selectors":{"{{WRAPPER}} .ct-mailchimp1 .mc4wp-form [type=\"submit\"]":"color: {{VALUE}};"}},{"name":"button_bg_color","label":"Button Background Color","type":"color","selectors":{"{{WRAPPER}} .ct-mailchimp.ct-mailchimp1 .mc4wp-form .mc4wp-form-fields:before, {{WRAPPER}} .ct-mailchimp1.style3 .mc4wp-form [type=\"submit\"]":"background-color: {{VALUE}};"}},{"name":"button_bg_color_gradient","label":"Button Background Color Gradient","type":"color","condition":{"style":"style3"}},{"name":"btn_typography","label":"Button Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-mailchimp1.style3 [type=\"submit\"]","condition":{"style":"style3"}},{"name":"icon_button_color","label":"Icon Button Color","type":"color","selectors":{"{{WRAPPER}} .ct-mailchimp1 .mc4wp-form .mc4wp-form-fields::before, {{WRAPPER}} .ct-mailchimp1 .mc4wp-form .mc4wp-form-fields::after":"color: {{VALUE}} !important;"}},{"name":"wg_border_radius","label":"Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .ct-mailchimp1 .mc4wp-form .mc4wp-form-fields":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};","{{WRAPPER}} .ct-mailchimp1.style1 .mc4wp-form .mc4wp-form-fields::before":"border-radius: {{TOP}}{{UNIT}} 0 0 {{LEFT}}{{UNIT}};"}}]}]}';
    protected $styles = array(  );
    protected $scripts = array( 'ct-inline-css-js' );
}